Which devices is Hopster available on?

Hopster on Apple

We always recommend using the latest version of iOS, but Hopster requires at least iOS 9.0 or later. 

Compatible with:

  • iPhone 5 and above
  • iPad Air and above
  • iPod touch 5th gen and up
The following Apple devices are NOT supported:
  • iPad 4th gen and older
  • iPhone 4S and older
  • iPod Touch 3rd gen and older
You can download Hopster from the App Store here


Hopster on Android

Hopster is now available for Android in many countries around the world.
Hopster requires Android OS 4.2 or later.

Hopster on Amazon
Hopster is now available for Amazon Fire Tablets in some regions. 
Hopster is compatible with 5th generation Fire Tablets onwards.


Check out our FAQs here
 
Hopster on TV

Kids can enjoy Hopster on your TV too.

The Hopster TV app is currently available on:
- Apple TV (3rd and 4th gen)

- Amazon FireTV
- EE TV
- Roku TV
- Sofi Entertainment, powered by Gibtelecom

Your little one can also watch all of their favourite shows on 
the Hopster Channel through Comcast's Xfinity X1 (US only) and Amazon’s Prime Video app (UK only).

 
Click here for more information on using Hopster on your Apple TV

Click here for more information on using Hopster on any other TV



 

Did you find this article helpful?